# Author:: Toshiro Sugii
# Copyright:: Copyright (c) 2016 Toshiro Sugii
# License::   Distributes under the same terms as Ruby
module Jaspion
  module Miya
    class Android
      # Represents an Android ListView template
      class ListView < Miya::Android
        def imports
          'import android.widget.ListView;'
        end

        def instance_variables
          "#{super}\n    private #{name}Adapter #{name.uncapitalize}Adapter;"
        end
      end
    end
  end
end
