# Author:: Toshiro Sugii
# Copyright:: Copyright (c) 2016 Toshiro Sugii
# License::   Distributes under the same terms as Ruby
require 'jaspion/miya/object'

module Jaspion
  module Miya
    # Represents an Android Object class
    class Swift < Miya::Object
      def instance_variables
        return "@IBOutlet var #{name.uncapitalize} : #{type}!" if ui?
        "let #{name.uncapitalize} : #{type}!"
      end

      def class_methods
        ''
      end

      def instance_methods
        ''
      end
    end
  end
end
